<template>
  <section class="company-data">
    <h1 class="company-data__title">
      Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
    </h1>

    <form>
      <Input
        fieldName="name"
        label="Company Name"
        placeholder="e.g. Your Company Name"
      />
      <FormattedInput
        fieldName="spend"
        label="Company Spend"
        placeholder="e.g. $150,000"
        v-bind:aditionalProps="{
          type: 'number',
          min: 0,
        }"
        v-bind:formatValue="value => `$${Number.parseFloat(value).toFixed(2)}`"
      />
      <DoubleInput
        fieldName="spendAbility"
        label="Company Spend Ability"
        placeholder="e.g. $150,000 - $330,000"
      />
      <Modal />
    </form>
  </section>
</template>

<script>
  import { mapGetters, mapActions } from 'vuex';
  import Input from 'Components/Input.vue';
  import FormattedInput from 'Components/FormattedInput.vue';
  import DoubleInput from 'Components/DoubleInput.vue';
  import Modal from 'Components/Modal.vue';

  export default {
    name: "CompanyData",
    components: {
      Input,
      FormattedInput,
      DoubleInput,
      Modal,
    }
  };
</script>

<style lang="scss" scoped>
  @import 'Styles/pages/company-data.scss';
  @import 'Styles/components/input.scss';
</style>
